<mat-card>
  <div
    class="row click-user"
    [routerLink]="[
      '/user-profile/' + (isIncomingRequest ? request.fromUser['_id'] : request.toUser['_id'])
    ]"
  >
    <div class="col-sm-8">
      <mat-card-header class="user">
        <img mat-card-avatar src="../../../../assets/student.png" alt="" />
        <mat-card-title class="comment-title">
          {{ (isIncomingRequest ? request.fromUser : request.toUser) | name }}
        </mat-card-title>
        <mat-card-subtitle> as {{ request.requestType | titlecase }}</mat-card-subtitle>
      </mat-card-header>
    </div>
  </div>
  <mat-card-content class="comment-box-outer">
    <div class="row justify-content-end">
      <div class="col-4">
        <button
          disabled
          *ngIf="request.status !== 'pending' || request.toUser['firstName']"
          class="btn btn-secondary col-sm-12"
        >
          {{ request.status || 'Rejected' | titlecase }}
        </button>
        <button
          *ngIf="request.status === 'pending' && request.fromUser['firstName']"
          class="btn btn-primary col-sm-12"
          (click)="accept()"
        >
          Accept
        </button>
      </div>
    </div>
    <div class="row justify-content-between pt-2">
      <div class="col pr-0">
        <h3 class="align m-0 pt-2">
          <i class="material-icons mr-2">school</i>{{ request.course.name }}
        </h3>
        <h4 class="alignUni m-0">
          {{ request.course['university'] }}
        </h4>
      </div>
      <div class="col-4">
        <button
          *ngIf="request.status === 'pending' && request.fromUser['firstName']"
          class="btn btn-danger col-sm-12"
          (click)="reject()"
        >
          Reject
        </button>
      </div>
    </div>
  </mat-card-content>
</mat-card>
